// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdAutoIdentOnServerProductPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdAutoIdentOnServerProductPlugin", targets: ["WebIdAutoIdentOnServerProductPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdDigitalSigningPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-digital-signing-plugin-spm",
            .exact("11.1.4")
        ),
        .package(
            name: "WebIdIosIdentScanPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-ident-scan-plugin-spm",
            .exact("12.2.1")
        ),
        .package(
            name: "WebIdOnServerDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-on-server-document-scanner-spm",
            .exact("12.2.1")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdAutoIdentOnServerProductPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/internal/de/webid-solutions/WebIdAutoIdentOnServerProductPlugin/13.1.1/WebIdAutoIdentOnServerProductPlugin.framework-v13.1.1.zip",
            checksum: "be0f571b3afe4823f721f4d97bb86ef78e1af87fcec08e5ad1b4468111eaa153"
        ),
        .target(
            name: "WebIdAutoIdentOnServerProductPluginWrapper",
            dependencies: [
                .target(name: "WebIdAutoIdentOnServerProductPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdDigitalSigningPlugin", package: "WebIdDigitalSigningPlugin"),
                .product(name: "WebIdIosIdentScanPlugin", package: "WebIdIosIdentScanPlugin"),
                .product(name: "WebIdOnServerDocumentScanner", package: "WebIdOnServerDocumentScanner"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
